import java.io.BufferedReader;
import java.io.InputStreamReader;

public class judge_validator
{

    public static void main( String[] args ) throws Exception
    {
        BufferedReader br = new BufferedReader( new InputStreamReader( System.in ) );
        
        int count = 0;
        int longest = 0;
        String line = "";
        boolean ok = true;
        while( (line = br.readLine())!=null)
        {
            ++count;
            for( char ch : line.toCharArray() ) if( (ch<32 || ch>126) && ch!='\t' ) ok = false;
            longest = Math.max( longest, line.length() );
        }
        
        System.exit( ok && count<=1000 && longest<=100 ? 42 : 0 );
    }

}
